local BabbleFaction = AceLibrary("Babble-Faction-2.2");
local BabbleZone = AceLibrary("Babble-Zone-2.2");
local BabbleInventory=AceLibrary("Babble-Inventory-2.2");
local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

local ORANGE = "|cffFF8400";

function AtlasLootPvPMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_BACK"):Hide();
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    -- Alterac Valley Rewards
    AtlasLootMenuItem_1_Name:SetText(BabbleZone["Alterac Valley"]);
    AtlasLootMenuItem_1_Extra:SetText("");
    AtlasLootMenuItem_1_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Necklace_21");
    AtlasLootMenuItem_1.lootpage="AVMisc";
    AtlasLootMenuItem_1:Show();
    -- Arathi Basin Rewards
    AtlasLootMenuItem_2_Name:SetText(BabbleZone["Arathi Basin"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_2.lootpage="ABMENU";
    AtlasLootMenuItem_2:Show();
    -- Hellfire Peninsula Rewards
    AtlasLootMenuItem_4_Name:SetText(BabbleZone["Hellfire Peninsula"]);
    AtlasLootMenuItem_4_Extra:SetText(ORANGE..AL["Hellfire Fortifications"]);
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_Misc_Token_HonorHold");
    AtlasLootMenuItem_4.lootpage="Hellfire";
    AtlasLootMenuItem_4:Show();
    -- Zangarmarsh Rewards
    AtlasLootMenuItem_5_Name:SetText(BabbleZone["Zangarmarsh"]);
    AtlasLootMenuItem_5_Extra:SetText(ORANGE..AL["Twin Spire Ruins"]);
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\Spell_Nature_ElementalPrecision_1");
    AtlasLootMenuItem_5.lootpage="Zangarmarsh";
    AtlasLootMenuItem_5:Show();
    -- Arena PvP Armor Sets - Season 1
    AtlasLootMenuItem_7_Name:SetText(AL["Arena PvP Sets"]);
    AtlasLootMenuItem_7_Extra:SetText(ORANGE..AL["Season 1"]);
    AtlasLootMenuItem_7_Icon:SetTexture("Interface\\Icons\\INV_Mace_36");
    AtlasLootMenuItem_7.lootpage="ARENASET";
    AtlasLootMenuItem_7:Show();
    -- Arena PvP Armor Sets - Season 2
    AtlasLootMenuItem_8_Name:SetText(AL["Arena PvP Sets"]);
    AtlasLootMenuItem_8_Extra:SetText(ORANGE..AL["Season 2"]);
    AtlasLootMenuItem_8_Icon:SetTexture("Interface\\Icons\\INV_Mace_36");
    AtlasLootMenuItem_8.lootpage="ARENA2SET";
    AtlasLootMenuItem_8:Show();
    -- PvP Accessories level 60
    AtlasLootMenuItem_10_Name:SetText(AL["PvP Accessories"]);
    AtlasLootMenuItem_10_Extra:SetText(ORANGE..AL["Level 60"]);
    AtlasLootMenuItem_10_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Talisman_09");
    AtlasLootMenuItem_10.lootpage="PvP60Accessories1";
    AtlasLootMenuItem_10:Show();
    -- PvP Armor Sets level 60
    AtlasLootMenuItem_11_Name:SetText(AL["PvP Armor Sets"]);
    AtlasLootMenuItem_11_Extra:SetText(ORANGE..AL["Level 60"]);
    AtlasLootMenuItem_11_Icon:SetTexture("Interface\\Icons\\INV_Axe_02");
    AtlasLootMenuItem_11.lootpage="PVPSET";
    AtlasLootMenuItem_11:Show();
    --PvP Accessories level 70
    AtlasLootMenuItem_13_Name:SetText(AL["PvP Accessories"]);
    AtlasLootMenuItem_13_Extra:SetText(ORANGE..AL["Level 70"]);
    AtlasLootMenuItem_13_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Talisman_09");
    AtlasLootMenuItem_13.lootpage="PvP70Accessories1";
    AtlasLootMenuItem_13:Show();
    -- PvP Armor Sets level 70
    AtlasLootMenuItem_14_Name:SetText(AL["PvP Armor Sets"]);
    AtlasLootMenuItem_14_Extra:SetText(ORANGE..AL["Level 70"]);
    AtlasLootMenuItem_14_Icon:SetTexture("Interface\\Icons\\INV_Axe_02");
    AtlasLootMenuItem_14.lootpage="PVP70SET";
    AtlasLootMenuItem_14:Show();
    -- Warsong Gulch Rewards
    AtlasLootMenuItem_16_Name:SetText(BabbleZone["Warsong Gulch"]);
    AtlasLootMenuItem_16_Extra:SetText("");
    AtlasLootMenuItem_16_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_16.lootpage="WSGMENU";
    AtlasLootMenuItem_16:Show();
    -- Arathi Basin Armor Sets
    AtlasLootMenuItem_17_Name:SetText(AL["Arathi Basin Sets"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_17.lootpage="ABSets1";
    AtlasLootMenuItem_17:Show();
    -- Terokkar Forest Rewards
    AtlasLootMenuItem_19_Name:SetText(BabbleZone["Terokkar Forest"]);
    AtlasLootMenuItem_19_Extra:SetText(ORANGE..AL["Spirit Towers"]);
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_FrostwolfTrinket_04");
    AtlasLootMenuItem_19.lootpage="Terokkar";
    AtlasLootMenuItem_19:Show();
    -- Nagrand Rewards
    AtlasLootMenuItem_20_Name:SetText(BabbleZone["Nagrand"]);
    AtlasLootMenuItem_20_Extra:SetText(ORANGE..AL["Halaa"]);
    AtlasLootMenuItem_20_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_09");
    AtlasLootMenuItem_20.lootpage="Nagrand1";
    AtlasLootMenuItem_20:Show();
    -- Arena Weapons - Season 1
    AtlasLootMenuItem_22_Name:SetText(AL["Arena PvP Weapons"]);
    AtlasLootMenuItem_22_Extra:SetText(ORANGE..AL["Season 1"]);
    AtlasLootMenuItem_22_Icon:SetTexture("Interface\\Icons\\INV_Weapon_Crossbow_10");
    AtlasLootMenuItem_22.lootpage="ArenaWeapons";
    AtlasLootMenuItem_22:Show();
    -- Arena Weapons - Season 2
    AtlasLootMenuItem_23_Name:SetText(AL["Arena PvP Weapons"]);
    AtlasLootMenuItem_23_Extra:SetText(ORANGE..AL["Season 2"]);
    AtlasLootMenuItem_23_Icon:SetTexture("Interface\\Icons\\INV_Weapon_Crossbow_10");
    AtlasLootMenuItem_23.lootpage="Arena2Weapons";
    AtlasLootMenuItem_23:Show();
    -- PvP Weapons level 60
    AtlasLootMenuItem_25_Name:SetText(AL["PvP Weapons"]);
    AtlasLootMenuItem_25_Extra:SetText(ORANGE..AL["Level 60"]);
    AtlasLootMenuItem_25_Icon:SetTexture("Interface\\Icons\\INV_Weapon_Bow_08");
    AtlasLootMenuItem_25.lootpage="PVPWeapons1";
    AtlasLootMenuItem_25:Show();
    -- PvP Weapons level 70
    AtlasLootMenuItem_28_Name:SetText(AL["PvP Weapons"]);
    AtlasLootMenuItem_28_Extra:SetText(ORANGE..AL["Level 70"]);
    AtlasLootMenuItem_28_Icon:SetTexture("Interface\\Icons\\INV_Weapon_Bow_08");
    AtlasLootMenuItem_28.lootpage="PVP70Weapons1";
    AtlasLootMenuItem_28:Show();
    -- PvP Non-set Epics
    AtlasLootMenuItem_29_Name:SetText(AL["PvP Non-Set Epics"]);
    AtlasLootMenuItem_29_Extra:SetText(ORANGE..AL["Level 70"]);
    AtlasLootMenuItem_29_Icon:SetTexture("Interface\\Icons\\INV_Boots_05");
    AtlasLootMenuItem_29.lootpage="PVP70NONSETEPICS";
    AtlasLootMenuItem_29:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["PvP Rewards"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootPvPNonSetEpics()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_BACK"):Hide();
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    -- Cloth
    AtlasLootMenuItem_3_Name:SetText(BabbleInventory["Cloth"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Boots_05");
    AtlasLootMenuItem_3.lootpage="PvP70NonSet2";
    AtlasLootMenuItem_3:Show();
    -- Mail
    AtlasLootMenuItem_4_Name:SetText(BabbleInventory["Mail"]);
    AtlasLootMenuItem_4_Extra:SetText("");
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_Boots_Plate_06");
    AtlasLootMenuItem_4.lootpage="PvP70NonSet4";
    AtlasLootMenuItem_4:Show();
    -- Accessories
    AtlasLootMenuItem_5_Name:SetText(AL["PvP Accessories"]);
    AtlasLootMenuItem_5_Extra:SetText("");
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Necklace_36");
    AtlasLootMenuItem_5.lootpage="PvP70NonSet1";
    AtlasLootMenuItem_5:Show();
    -- Leather
    AtlasLootMenuItem_18_Name:SetText(BabbleInventory["Leather"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Boots_08");
    AtlasLootMenuItem_18.lootpage="PvP70NonSet3";
    AtlasLootMenuItem_18:Show();
    -- Plate
    AtlasLootMenuItem_19_Name:SetText(BabbleInventory["Plate"]);
    AtlasLootMenuItem_19_Extra:SetText("");
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Boots_Plate_04");
    AtlasLootMenuItem_19.lootpage="PvP70NonSet5";
    AtlasLootMenuItem_19:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["PvP Non-Set Epics"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootWSGRewardsMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_BACK"):Show();
    getglobal("AtlasLootItemsFrame_BACK").lootpage = "PVPMENU";
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    --Lvl 60 Rewards
    AtlasLootMenuItem_2_Name:SetText(AL["Level 60 Rewards"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_2.lootpage="WSG60";
    AtlasLootMenuItem_2:Show();
    --Lvl 50-59
    AtlasLootMenuItem_17_Name:SetText(AL["Level 50-59 Rewards"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_17.lootpage="WSG5059";
    AtlasLootMenuItem_17:Show();
    --Lvl 40-49 
    AtlasLootMenuItem_3_Name:SetText(AL["Level 40-49 Rewards"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_3.lootpage="WSG4049";
    AtlasLootMenuItem_3:Show();
    --Lvl 30-39 
    AtlasLootMenuItem_18_Name:SetText(AL["Level 30-39 Rewards"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_18.lootpage="WSG3039";
    AtlasLootMenuItem_18:Show();
    --Lvl 20-29 
    AtlasLootMenuItem_4_Name:SetText(AL["Level 20-29 Rewards"]);
    AtlasLootMenuItem_4_Extra:SetText("");
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_4.lootpage="WSG2029";
    AtlasLootMenuItem_4:Show();
    --Lvl 10-19 
    AtlasLootMenuItem_19_Name:SetText(AL["Level 10-19 Rewards"]);
    AtlasLootMenuItem_19_Extra:SetText("");
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_19.lootpage="WSG1019";
    AtlasLootMenuItem_19:Show();
    --Misc Rewards
    AtlasLootMenuItem_5_Name:SetText(AL["Misc. Rewards"]);
    AtlasLootMenuItem_5_Extra:SetText("");
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_07");
    AtlasLootMenuItem_5.lootpage="WSGMisc";
    AtlasLootMenuItem_5:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..BabbleZone["Warsong Gulch"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootABRewardsMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_BACK"):Show();
    getglobal("AtlasLootItemsFrame_BACK").lootpage = "PVPMENU";
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    --Lvl 60 Rewards
    AtlasLootMenuItem_2_Name:SetText(AL["Level 60 Rewards"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_2.lootpage="AB60";
    AtlasLootMenuItem_2:Show();
    --Lvl 50-59
    AtlasLootMenuItem_17_Name:SetText(AL["Level 50-59 Rewards"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_17.lootpage="AB5059";
    AtlasLootMenuItem_17:Show();
    --Lvl 40-49 
    AtlasLootMenuItem_3_Name:SetText(AL["Level 40-49 Rewards"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_3.lootpage="AB40491";
    AtlasLootMenuItem_3:Show();
    --Lvl 30-39 
    AtlasLootMenuItem_18_Name:SetText(AL["Level 30-39 Rewards"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_18.lootpage="AB3039";
    AtlasLootMenuItem_18:Show();
    --Lvl 20-29 
    AtlasLootMenuItem_4_Name:SetText(AL["Level 20-29 Rewards"]);
    AtlasLootMenuItem_4_Extra:SetText("");
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_4.lootpage="AB20291";
    AtlasLootMenuItem_4:Show();
    --Misc Rewards
    AtlasLootMenuItem_19_Name:SetText(AL["Misc. Rewards"]);
    AtlasLootMenuItem_19_Extra:SetText("");
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Amulet_07");
    AtlasLootMenuItem_19.lootpage="ABMisc";
    AtlasLootMenuItem_19:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..BabbleZone["Arathi Basin"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

